Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions
H5Location Class Reference

`#include <c++/src/H5Location.h>`

## Detailed Description

H5Location is an abstract base class, added in version 1.8.12.

It provides a collection of wrappers for the C functions that take a location identifier to specify the HDF5 object. The location identifier can be either file, group, dataset, attribute, or named datatype. Wrappers for H5A functions stay in H5Object.

Inheritance diagram for H5Location:

## Public Member Functions
H5O_type_t | childObjType (const char *objname) const
H5O_type_t | childObjType (const H5std_string &objname) const
H5O_type_t | childObjType (hsize_t index, H5_index_t index_type=H5_INDEX_NAME, H5_iter_order_t order=H5_ITER_INC, const char *objname=".") const
unsigned | childObjVersion (const char *objname) const
unsigned | childObjVersion (const H5std_string &objname) const
void | copyLink (const char *src_name, const char *dst_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | copyLink (const char *src_name, const Group &dst, const char *dst_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | copyLink (const H5std_string &src_name, const Group &dst, const H5std_string &dst_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | copyLink (const H5std_string &src_name, const H5std_string &dst_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
DataSet | createDataSet (const char *name, const DataType &data_type, const DataSpace &data_space, const DSetCreatPropList &create_plist=DSetCreatPropList::DEFAULT, const DSetAccPropList &dapl=DSetAccPropList::DEFAULT, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT) const
DataSet | createDataSet (const H5std_string &name, const DataType &data_type, const DataSpace &data_space, const DSetCreatPropList &create_plist=DSetCreatPropList::DEFAULT, const DSetAccPropList &dapl=DSetAccPropList::DEFAULT, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT) const
Group | createGroup (const char *name, const LinkCreatPropList &lcpl) const
Group | createGroup (const char *name, size_t size_hint=0) const
Group | createGroup (const H5std_string &name, const LinkCreatPropList &lcpl) const
Group | createGroup (const H5std_string &name, size_t size_hint=0) const
void | dereference (const H5Location &loc, const void *ref, H5R_type_t ref_type=H5R_OBJECT, const PropList &plist=PropList::DEFAULT)
bool | exists (const char *name, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
bool | exists (const H5std_string &name, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | flush (H5F_scope_t scope) const
ssize_t | getComment (const char *name, size_t buf_size, char *comment) const
H5std_string | getComment (const char *name, size_t buf_size=0) const
H5std_string | getComment (const H5std_string &name, size_t buf_size=0) const
H5std_string | getFileName () const
H5L_info2_t | getLinkInfo (const char *link_name, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
H5L_info2_t | getLinkInfo (const H5std_string &link_name, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
H5std_string | getLinkval (const char *link_name, size_t size=0) const
H5std_string | getLinkval (const H5std_string &link_name, size_t size=0) const
void | getNativeObjinfo (const char *grp_name, H5_index_t idx_type, H5_iter_order_t order, hsize_t idx, H5O_native_info_t &objinfo, unsigned fields=H5O_NATIVE_INFO_HDR, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | getNativeObjinfo (const char *name, H5O_native_info_t &objinfo, unsigned fields=H5O_NATIVE_INFO_HDR, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | getNativeObjinfo (const H5std_string &grp_name, H5_index_t idx_type, H5_iter_order_t order, hsize_t idx, H5O_native_info_t &objinfo, unsigned fields=H5O_NATIVE_INFO_HDR, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | getNativeObjinfo (const H5std_string &name, H5O_native_info_t &objinfo, unsigned fields=H5O_NATIVE_INFO_HDR, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | getNativeObjinfo (H5O_native_info_t &objinfo, unsigned fields=H5O_NATIVE_INFO_HDR) const
hsize_t | getNumObjs () const
void | getObjinfo (const char *grp_name, H5_index_t idx_type, H5_iter_order_t order, hsize_t idx, H5O_info2_t &objinfo, unsigned fields=H5O_INFO_BASIC, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | getObjinfo (const char *name, bool follow_link, H5G_stat_t &statbuf) const
void | getObjinfo (const char *name, H5G_stat_t &statbuf) const
void | getObjinfo (const char *name, H5O_info2_t &objinfo, unsigned fields=H5O_INFO_BASIC, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | getObjinfo (const H5std_string &grp_name, H5_index_t idx_type, H5_iter_order_t order, hsize_t idx, H5O_info2_t &objinfo, unsigned fields=H5O_INFO_BASIC, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | getObjinfo (const H5std_string &name, bool follow_link, H5G_stat_t &statbuf) const
void | getObjinfo (const H5std_string &name, H5G_stat_t &statbuf) const
void | getObjinfo (const H5std_string &name, H5O_info2_t &objinfo, unsigned fields=H5O_INFO_BASIC, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | getObjinfo (H5O_info2_t &objinfo, unsigned fields=H5O_INFO_BASIC) const
H5std_string | getObjnameByIdx (hsize_t idx) const
ssize_t | getObjnameByIdx (hsize_t idx, char *name, size_t size) const
ssize_t | getObjnameByIdx (hsize_t idx, H5std_string &name, size_t size) const
H5G_obj_t | getObjType (void *ref, H5R_type_t ref_type=H5R_OBJECT) const
H5G_obj_t | getObjTypeByIdx (hsize_t idx) const
H5G_obj_t | getObjTypeByIdx (hsize_t idx, char *type_name) const
H5G_obj_t | getObjTypeByIdx (hsize_t idx, H5std_string &type_name) const
H5O_type_t | getRefObjType (void *ref, H5R_type_t ref_type=H5R_OBJECT) const
DataSpace | getRegion (void *ref, H5R_type_t ref_type=H5R_DATASET_REGION) const
| H5Location ()
int | iterateElems (const char *name, int *idx, H5G_iterate_t op, void *op_data)
int | iterateElems (const H5std_string &name, int *idx, H5G_iterate_t op, void *op_data)
void | link (const char *curr_name, const Group &new_loc, const char *new_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | link (const char *curr_name, const hid_t same_loc, const char *new_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | link (const char *target_name, const char *link_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | link (const H5std_string &curr_name, const Group &new_loc, const H5std_string &new_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | link (const H5std_string &curr_name, const hid_t same_loc, const H5std_string &new_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | link (const H5std_string &target_name, const H5std_string &link_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | link (H5L_type_t link_type, const char *curr_name, const char *new_name) const
void | link (H5L_type_t link_type, const H5std_string &curr_name, const H5std_string &new_name) const
void | mount (const char *name, const H5File &child, const PropList &plist) const
void | mount (const H5std_string &name, const H5File &child, const PropList &plist) const
void | move (const char *src, const char *dst) const
void | move (const H5std_string &src, const H5std_string &dst) const
void | moveLink (const char *src_name, const char *dst_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | moveLink (const char *src_name, const Group &dst, const char *dst_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | moveLink (const H5std_string &src_name, const Group &dst, const H5std_string &dst_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | moveLink (const H5std_string &src_name, const H5std_string &dst_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
bool | nameExists (const char *name, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
bool | nameExists (const H5std_string &name, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
DataSet | openDataSet (const char *name, const DSetAccPropList &dapl=DSetAccPropList::DEFAULT) const
DataSet | openDataSet (const H5std_string &name, const DSetAccPropList &dapl=DSetAccPropList::DEFAULT) const
Group | openGroup (const char *name) const
Group | openGroup (const H5std_string &name) const
void | reference (void *ref, const char *name, const DataSpace &dataspace, H5R_type_t ref_type=H5R_DATASET_REGION) const
void | reference (void *ref, const char *name, H5R_type_t ref_type=H5R_OBJECT) const
void | reference (void *ref, const H5std_string &name, const DataSpace &dataspace, H5R_type_t ref_type=H5R_DATASET_REGION) const
void | reference (void *ref, const H5std_string &name, H5R_type_t ref_type=H5R_OBJECT) const
void | removeComment (const char *name) const
void | removeComment (const H5std_string &name) const
void | setComment (const char *comment) const
void | setComment (const char *name, const char *comment) const
void | setComment (const H5std_string &comment) const
void | setComment (const H5std_string &name, const H5std_string &comment) const
virtual void | throwException (const H5std_string &func_name, const H5std_string &msg) const
| For subclasses, H5File and Group, to throw appropriate exception.
void | unlink (const char *link_name, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | unlink (const H5std_string &link_name, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | unmount (const char *name) const
void | unmount (const H5std_string &name) const
Public Member Functions inherited from IdComponent
virtual void | close ()=0
void | decRefCount () const
void | decRefCount (const hid_t obj_id) const
virtual H5std_string | fromClass () const
| Returns this class name.
int | getCounter () const
int | getCounter (const hid_t obj_id) const
H5I_type_t | getHDFObjType () const
virtual hid_t | getId () const =0
void | incRefCount () const
void | incRefCount (const hid_t obj_id) const
H5std_string | inMemFunc (const char *func_name) const
IdComponent & | operator= (const IdComponent &rhs)
void | setId (const hid_t new_id)
virtual | ~IdComponent ()=default

## Protected Member Functions
hid_t | p_dereference (hid_t loc_id, const void *ref, H5R_type_t ref_type, const PropList &plist, const char *from_func)
H5G_obj_t | p_get_obj_type (void *ref, H5R_type_t ref_type) const
H5O_type_t | p_get_ref_obj_type (void *ref, H5R_type_t ref_type) const
void | p_reference (void *ref, const char *name, hid_t space_id, H5R_type_t ref_type) const
virtual | ~H5Location () override=default
Protected Member Functions inherited from IdComponent
| IdComponent ()
H5std_string | p_get_file_name () const
virtual void | p_setId (const hid_t new_id)=0

## Additional Inherited Members
Static Public Member Functions inherited from IdComponent
static H5I_type_t | getHDFObjType (const hid_t obj_id)
static hsize_t | getNumMembers (H5I_type_t type)
static bool | isValid (hid_t an_id)
static bool | typeExists (H5I_type_t type)
Static Protected Member Functions inherited from IdComponent
static bool | p_valid_id (const hid_t obj_id)
Static Protected Attributes inherited from IdComponent
static bool | H5dontAtexit_called

## Constructor & Destructor Documentation

## ◆ H5Location()

H5Location | ( |  | ) |

## ◆ ~H5Location()

virtual ~H5Location | ( |  | ) |
| override protected virtual default

## Member Function Documentation

## ◆ childObjType() [1/3]

H5O_type_t childObjType | ( | const char * | objname | ) | const

## ◆ childObjType() [2/3]

H5O_type_t childObjType | ( | const H5std_string & | objname | ) | const

## ◆ childObjType() [3/3]

H5O_type_t childObjType | ( | hsize_t | index,
|  | H5_index_t | index_type = H5_INDEX_NAME,
|  | H5_iter_order_t | order = H5_ITER_INC,
|  | const char * | objname = "." ) const

## ◆ childObjVersion() [1/2]

unsigned childObjVersion | ( | const char * | objname | ) | const

## ◆ childObjVersion() [2/2]

unsigned childObjVersion | ( | const H5std_string & | objname | ) | const

## ◆ copyLink() [1/4]

void copyLink | ( | const char * | src_name,
|  | const char * | dst_name,
|  | const LinkCreatPropList & | lcpl = LinkCreatPropList::DEFAULT,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ copyLink() [2/4]

void copyLink | ( | const char * | src_name,
|  | const Group & | dst,
|  | const char * | dst_name,
|  | const LinkCreatPropList & | lcpl = LinkCreatPropList::DEFAULT,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ copyLink() [3/4]

void copyLink | ( | const H5std_string & | src_name,
|  | const Group & | dst,
|  | const H5std_string & | dst_name,
|  | const LinkCreatPropList & | lcpl = LinkCreatPropList::DEFAULT,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ copyLink() [4/4]

void copyLink | ( | const H5std_string & | src_name,
|  | const H5std_string & | dst_name,
|  | const LinkCreatPropList & | lcpl = LinkCreatPropList::DEFAULT,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ createDataSet() [1/2]

DataSet createDataSet | ( | const char * | name,
|  | const DataType & | data_type,
|  | const DataSpace & | data_space,
|  | const DSetCreatPropList & | create_plist = DSetCreatPropList::DEFAULT,
|  | const DSetAccPropList & | dapl = DSetAccPropList::DEFAULT,
|  | const LinkCreatPropList & | lcpl = LinkCreatPropList::DEFAULT ) const

## ◆ createDataSet() [2/2]

DataSet createDataSet | ( | const H5std_string & | name,
|  | const DataType & | data_type,
|  | const DataSpace & | data_space,
|  | const DSetCreatPropList & | create_plist = DSetCreatPropList::DEFAULT,
|  | const DSetAccPropList & | dapl = DSetAccPropList::DEFAULT,
|  | const LinkCreatPropList & | lcpl = LinkCreatPropList::DEFAULT ) const

## ◆ createGroup() [1/4]

Group createGroup | ( | const char * | name,
|  | const LinkCreatPropList & | lcpl ) const

## ◆ createGroup() [2/4]

Group createGroup | ( | const char * | name,
|  | size_t | size_hint = 0 ) const

## ◆ createGroup() [3/4]

Group createGroup | ( | const H5std_string & | name,
|  | const LinkCreatPropList & | lcpl ) const

## ◆ createGroup() [4/4]

Group createGroup | ( | const H5std_string & | name,
|  | size_t | size_hint = 0 ) const

## ◆ dereference()

void dereference | ( | const H5Location & | loc,
|  | const void * | ref,
|  | H5R_type_t | ref_type = H5R_OBJECT,
|  | const PropList & | plist = PropList::DEFAULT )

## ◆ exists() [1/2]

bool exists | ( | const char * | name,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ exists() [2/2]

bool exists | ( | const H5std_string & | name,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ flush()

void flush | ( | H5F_scope_t | scope | ) | const

## ◆ getComment() [1/3]

ssize_t getComment | ( | const char * | name,
|  | size_t | buf_size,
|  | char * | comment ) const

## ◆ getComment() [2/3]

H5std_string getComment | ( | const char * | name,
|  | size_t | buf_size = 0 ) const

## ◆ getComment() [3/3]

H5std_string getComment | ( | const H5std_string & | name,
|  | size_t | buf_size = 0 ) const

## ◆ getFileName()

H5std_string getFileName | ( |  | ) | const

## ◆ getLinkInfo() [1/2]

H5L_info2_t getLinkInfo | ( | const char * | link_name,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ getLinkInfo() [2/2]

H5L_info2_t getLinkInfo | ( | const H5std_string & | link_name,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ getLinkval() [1/2]

H5std_string getLinkval | ( | const char * | link_name,
|  | size_t | size = 0 ) const

## ◆ getLinkval() [2/2]

H5std_string getLinkval | ( | const H5std_string & | link_name,
|  | size_t | size = 0 ) const

## ◆ getNativeObjinfo() [1/5]

void getNativeObjinfo | ( | const char * | grp_name,
|  | H5_index_t | idx_type,
|  | H5_iter_order_t | order,
|  | hsize_t | idx,
|  | H5O_native_info_t & | objinfo,
|  | unsigned | fields = H5O_NATIVE_INFO_HDR,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ getNativeObjinfo() [2/5]

void getNativeObjinfo | ( | const char * | name,
|  | H5O_native_info_t & | objinfo,
|  | unsigned | fields = H5O_NATIVE_INFO_HDR,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ getNativeObjinfo() [3/5]

void getNativeObjinfo | ( | const H5std_string & | grp_name,
|  | H5_index_t | idx_type,
|  | H5_iter_order_t | order,
|  | hsize_t | idx,
|  | H5O_native_info_t & | objinfo,
|  | unsigned | fields = H5O_NATIVE_INFO_HDR,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ getNativeObjinfo() [4/5]

void getNativeObjinfo | ( | const H5std_string & | name,
|  | H5O_native_info_t & | objinfo,
|  | unsigned | fields = H5O_NATIVE_INFO_HDR,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ getNativeObjinfo() [5/5]

void getNativeObjinfo | ( | H5O_native_info_t & | objinfo,
|  | unsigned | fields = H5O_NATIVE_INFO_HDR ) const

## ◆ getNumObjs()

hsize_t getNumObjs | ( |  | ) | const

## ◆ getObjinfo() [1/9]

void getObjinfo | ( | const char * | grp_name,
|  | H5_index_t | idx_type,
|  | H5_iter_order_t | order,
|  | hsize_t | idx,
|  | H5O_info2_t & | objinfo,
|  | unsigned | fields = H5O_INFO_BASIC,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ getObjinfo() [2/9]

void getObjinfo | ( | const char * | name,
|  | bool | follow_link,
|  | H5G_stat_t & | statbuf ) const

## ◆ getObjinfo() [3/9]

void getObjinfo | ( | const char * | name,
|  | H5G_stat_t & | statbuf ) const

## ◆ getObjinfo() [4/9]

void getObjinfo | ( | const char * | name,
|  | H5O_info2_t & | objinfo,
|  | unsigned | fields = H5O_INFO_BASIC,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ getObjinfo() [5/9]

void getObjinfo | ( | const H5std_string & | grp_name,
|  | H5_index_t | idx_type,
|  | H5_iter_order_t | order,
|  | hsize_t | idx,
|  | H5O_info2_t & | objinfo,
|  | unsigned | fields = H5O_INFO_BASIC,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ getObjinfo() [6/9]

void getObjinfo | ( | const H5std_string & | name,
|  | bool | follow_link,
|  | H5G_stat_t & | statbuf ) const

## ◆ getObjinfo() [7/9]

void getObjinfo | ( | const H5std_string & | name,
|  | H5G_stat_t & | statbuf ) const

## ◆ getObjinfo() [8/9]

void getObjinfo | ( | const H5std_string & | name,
|  | H5O_info2_t & | objinfo,
|  | unsigned | fields = H5O_INFO_BASIC,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ getObjinfo() [9/9]

void getObjinfo | ( | H5O_info2_t & | objinfo,
|  | unsigned | fields = H5O_INFO_BASIC ) const

## ◆ getObjnameByIdx() [1/3]

H5std_string getObjnameByIdx | ( | hsize_t | idx | ) | const

## ◆ getObjnameByIdx() [2/3]

ssize_t getObjnameByIdx | ( | hsize_t | idx,
|  | char * | name,
|  | size_t | size ) const

## ◆ getObjnameByIdx() [3/3]

ssize_t getObjnameByIdx | ( | hsize_t | idx,
|  | H5std_string & | name,
|  | size_t | size ) const

## ◆ getObjType()

H5G_obj_t getObjType | ( | void * | ref,
|  | H5R_type_t | ref_type = H5R_OBJECT ) const

## ◆ getObjTypeByIdx() [1/3]

H5G_obj_t getObjTypeByIdx | ( | hsize_t | idx | ) | const

## ◆ getObjTypeByIdx() [2/3]

H5G_obj_t getObjTypeByIdx | ( | hsize_t | idx,
|  | char * | type_name ) const

## ◆ getObjTypeByIdx() [3/3]

H5G_obj_t getObjTypeByIdx | ( | hsize_t | idx,
|  | H5std_string & | type_name ) const

## ◆ getRefObjType()

H5O_type_t getRefObjType | ( | void * | ref,
|  | H5R_type_t | ref_type = H5R_OBJECT ) const

## ◆ getRegion()

DataSpace getRegion | ( | void * | ref,
|  | H5R_type_t | ref_type = H5R_DATASET_REGION ) const

## ◆ iterateElems() [1/2]

int iterateElems | ( | const char * | name,
|  | int * | idx,
|  | H5G_iterate_t | op,
|  | void * | op_data )

## ◆ iterateElems() [2/2]

int iterateElems | ( | const H5std_string & | name,
|  | int * | idx,
|  | H5G_iterate_t | op,
|  | void * | op_data )

## ◆ link() [1/8]

void link | ( | const char * | curr_name,
|  | const Group & | new_loc,
|  | const char * | new_name,
|  | const LinkCreatPropList & | lcpl = LinkCreatPropList::DEFAULT,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ link() [2/8]

void link | ( | const char * | curr_name,
|  | const hid_t | same_loc,
|  | const char * | new_name,
|  | const LinkCreatPropList & | lcpl = LinkCreatPropList::DEFAULT,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ link() [3/8]

void link | ( | const char * | target_name,
|  | const char * | link_name,
|  | const LinkCreatPropList & | lcpl = LinkCreatPropList::DEFAULT,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ link() [4/8]

void link | ( | const H5std_string & | curr_name,
|  | const Group & | new_loc,
|  | const H5std_string & | new_name,
|  | const LinkCreatPropList & | lcpl = LinkCreatPropList::DEFAULT,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ link() [5/8]

void link | ( | const H5std_string & | curr_name,
|  | const hid_t | same_loc,
|  | const H5std_string & | new_name,
|  | const LinkCreatPropList & | lcpl = LinkCreatPropList::DEFAULT,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ link() [6/8]

void link | ( | const H5std_string & | target_name,
|  | const H5std_string & | link_name,
|  | const LinkCreatPropList & | lcpl = LinkCreatPropList::DEFAULT,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ link() [7/8]

void link | ( | H5L_type_t | link_type,
|  | const char * | curr_name,
|  | const char * | new_name ) const

## ◆ link() [8/8]

void link | ( | H5L_type_t | link_type,
|  | const H5std_string & | curr_name,
|  | const H5std_string & | new_name ) const

## ◆ mount() [1/2]

void mount | ( | const char * | name,
|  | const H5File & | child,
|  | const PropList & | plist ) const

## ◆ mount() [2/2]

void mount | ( | const H5std_string & | name,
|  | const H5File & | child,
|  | const PropList & | plist ) const

## ◆ move() [1/2]

void move | ( | const char * | src,
|  | const char * | dst ) const

## ◆ move() [2/2]

void move | ( | const H5std_string & | src,
|  | const H5std_string & | dst ) const

## ◆ moveLink() [1/4]

void moveLink | ( | const char * | src_name,
|  | const char * | dst_name,
|  | const LinkCreatPropList & | lcpl = LinkCreatPropList::DEFAULT,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ moveLink() [2/4]

void moveLink | ( | const char * | src_name,
|  | const Group & | dst,
|  | const char * | dst_name,
|  | const LinkCreatPropList & | lcpl = LinkCreatPropList::DEFAULT,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ moveLink() [3/4]

void moveLink | ( | const H5std_string & | src_name,
|  | const Group & | dst,
|  | const H5std_string & | dst_name,
|  | const LinkCreatPropList & | lcpl = LinkCreatPropList::DEFAULT,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ moveLink() [4/4]

void moveLink | ( | const H5std_string & | src_name,
|  | const H5std_string & | dst_name,
|  | const LinkCreatPropList & | lcpl = LinkCreatPropList::DEFAULT,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ nameExists() [1/2]

bool nameExists | ( | const char * | name,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ nameExists() [2/2]

bool nameExists | ( | const H5std_string & | name,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ openDataSet() [1/2]

DataSet openDataSet | ( | const char * | name,
|  | const DSetAccPropList & | dapl = DSetAccPropList::DEFAULT ) const

## ◆ openDataSet() [2/2]

DataSet openDataSet | ( | const H5std_string & | name,
|  | const DSetAccPropList & | dapl = DSetAccPropList::DEFAULT ) const

## ◆ openGroup() [1/2]

Group openGroup | ( | const char * | name | ) | const

## ◆ openGroup() [2/2]

Group openGroup | ( | const H5std_string & | name | ) | const

## ◆ p_dereference()

hid_t p_dereference | ( | hid_t | loc_id,
|  | const void * | ref,
|  | H5R_type_t | ref_type,
|  | const PropList & | plist,
|  | const char * | from_func )
| protected

## ◆ p_get_obj_type()

H5G_obj_t p_get_obj_type | ( | void * | ref,
|  | H5R_type_t | ref_type ) const
| protected

## ◆ p_get_ref_obj_type()

H5O_type_t p_get_ref_obj_type | ( | void * | ref,
|  | H5R_type_t | ref_type ) const
| protected

## ◆ p_reference()

void p_reference | ( | void * | ref,
|  | const char * | name,
|  | hid_t | space_id,
|  | H5R_type_t | ref_type ) const
| protected

## ◆ reference() [1/4]

void reference | ( | void * | ref,
|  | const char * | name,
|  | const DataSpace & | dataspace,
|  | H5R_type_t | ref_type = H5R_DATASET_REGION ) const

## ◆ reference() [2/4]

void reference | ( | void * | ref,
|  | const char * | name,
|  | H5R_type_t | ref_type = H5R_OBJECT ) const

## ◆ reference() [3/4]

void reference | ( | void * | ref,
|  | const H5std_string & | name,
|  | const DataSpace & | dataspace,
|  | H5R_type_t | ref_type = H5R_DATASET_REGION ) const

## ◆ reference() [4/4]

void reference | ( | void * | ref,
|  | const H5std_string & | name,
|  | H5R_type_t | ref_type = H5R_OBJECT ) const

## ◆ removeComment() [1/2]

void removeComment | ( | const char * | name | ) | const

## ◆ removeComment() [2/2]

void removeComment | ( | const H5std_string & | name | ) | const

## ◆ setComment() [1/4]

void setComment | ( | const char * | comment | ) | const

## ◆ setComment() [2/4]

void setComment | ( | const char * | name,
|  | const char * | comment ) const

## ◆ setComment() [3/4]

void setComment | ( | const H5std_string & | comment | ) | const

## ◆ setComment() [4/4]

void setComment | ( | const H5std_string & | name,
|  | const H5std_string & | comment ) const

## ◆ throwException()

virtual void throwException | ( | const H5std_string & | func_name,
|  | const H5std_string & | msg ) const
| virtual

For subclasses, H5File and Group, to throw appropriate exception.

Reimplemented in Group, and H5File.

## ◆ unlink() [1/2]

void unlink | ( | const char * | link_name,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ unlink() [2/2]

void unlink | ( | const H5std_string & | link_name,
|  | const LinkAccPropList & | lapl = LinkAccPropList::DEFAULT ) const

## ◆ unmount() [1/2]

void unmount | ( | const char * | name | ) | const

## ◆ unmount() [2/2]

void unmount | ( | const H5std_string & | name | ) | const

The documentation for this class was generated from the following file:

- c++/src/H5Location.h